# Rate limited

{% hint style="danger" %}
The API has been deprecated and is no longer in use.
{% endhint %}

The rate limit system is implemented to prevent abuse and spam requests reaching our endpoints, For example malicious software can be used to constantly request an endpoint and overload the server, Stopping other from using it. This is the reason why we have introduced a rate limit system, Below you can view the global rate limit and specific endpoints rate limit (Any endpoint not specified follows the global rate limit).

### Headers

| Header Name           | Description                                                  |
| --------------------- | ------------------------------------------------------------ |
| X-RateLimit-Limit     | The amount of requests you can make                          |
| X-RateLimit-Remaining | The amount of remaining requests you can make                |
| X-RateLimit-Reset     | Epoch (Millisecond) timestamp at which the rate limit resets |

### Global Rate Limit

The global rate limit is set at **20 requests per second**, This is reasonable for any minor actions or projects that don't require many requests to be called simultaneously.

### Exact Rate Limit

Exact rate limit affects any direct endpoint route, For example `/civilian` and `/firearm` have routed endpoints making them apart of the exact rate limit. The exact rate limit is currently set to **10 requests per second as** these endpoints complete direct requests to the database.

{% hint style="warning" %}
**If your project is constantly getting rate limited due to the amount of requests then please get in contact with** [**RoleplayBot Support**](https://roleplaybot.xyz/support)**, We may be able to increase your rate limit.**
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roleplaybot.xyz/api/errors/rate-limited.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
